Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-09-13 00:07:20 +0400
committerJunio C Hamano <gitster@pobox.com>2007-09-13 00:07:20 +0400
commit88b7dd4597b11db4a99537519df91265fc7533e0 (patch)
treeab659a9c6037c35e328d81511718de1edd12d9f1 /git-commit.sh
parenta2f22dbfa3a1039e5c6a9968d2421f1e9716515a (diff)
parent3d80017d0c948cca251a7aaa9fdc84a0664e95fe (diff)
Merge branch 'maint'
* maint: stash: end index commit log with a newline git-commit: Disallow amend if it is going to produce an empty non-merge commit git-send-email.perl: Add angle brackets to In-Reply-To if necessary Fix a test failure (t9500-*.sh) on cygwin
Diffstat (limited to 'git-commit.sh')
-rwxr-xr-xgit-commit.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-commit.sh b/git-commit.sh
index 1d04f1ff31..41538f16e5 100755
--- a/git-commit.sh
+++ b/git-commit.sh
@@ -554,7 +554,7 @@ else
# we need to check if there is anything to commit
run_status >/dev/null
fi
-if [ "$?" != "0" -a ! -f "$GIT_DIR/MERGE_HEAD" -a -z "$amend" ]
+if [ "$?" != "0" -a ! -f "$GIT_DIR/MERGE_HEAD" ]
then
rm -f "$GIT_DIR/COMMIT_EDITMSG" "$GIT_DIR/SQUASH_MSG"
use_status_color=t